Bug 284838 - Amarok Crashed while trying to copy album of mp3s from local collection to iPod nano 6G [@ Meta::MediaDeviceTrack::prettyUrl]
Summary: Amarok Crashed while trying to copy album of mp3s from local collection to iP...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/iPod iPhone (show other bugs)
Version: 2.4.3
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.5
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-24 00:30 UTC by arnd-hendrik.mathias
Modified: 2011-12-20 11:05 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arnd-hendrik.mathias 2011-10-24 00:30:25 UTC
Application: amarok (2.4.3)
KDE Platform Version: 4.7.1 (4.7.1)
Qt Version: 4.7.4
Operating System: Linux 3.0.0-12-generic x86_64
Distribution: Ubuntu 11.10

-- Information about the crash:
- What I was doing when the application crashed:
1. right clicked one interpret with one album and clicked copy to ... the iPod collection
2. minimized window
3. switched to a gnome-terminal
4. tried to switch to Amarok again
5. Bam!!!

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f7e741fe7c0 (LWP 25968))]

Thread 22 (Thread 0x7f7e55ab0700 (LWP 25970)):
#0  0x00007f7e70b51773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f7e6b8bef68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7e6b8bf792 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7e5d3d5516 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f7e6b8e42b6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007f7e6d363efc in start_thread (arg=0x7f7e55ab0700) at pthread_create.c:304
#7  0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7f7e45047700 (LWP 25981)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007f7e4a97e7d1 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#3  0x00007f7e6d363efc in start_thread (arg=0x7f7e45047700) at pthread_create.c:304
#4  0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f7e44846700 (LWP 25982)):
#0  0xffffffffff60014c in ?? ()
#1  0x00007f7e448459d0 in ?? ()
#2  0x00007fff987cf7e7 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 19 (Thread 0x7f7e43e40700 (LWP 25983)):
#0  0x00007f7e70b51773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f7e68f2903f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007f7e68f1a45c in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f7e68f1aac9 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f7e68f1ab80 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f7e68f28fef in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f7e645e8c78 in ?? () from /usr/lib/x86_64-linux-gnu/libpulsecommon-1.0.so
#7  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#8  0x00007f7e6d363efc in start_thread (arg=0x7f7e43e40700) at pthread_create.c:304
#9  0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f7e3f63e700 (LWP 25984)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e4a98f793 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#3  0x00007f7e6d363efc in start_thread (arg=0x7f7e3f63e700) at pthread_create.c:304
#4  0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f7e3ea33700 (LWP 25985)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e4a98f793 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#3  0x00007f7e6d363efc in start_thread (arg=0x7f7e3ea33700) at pthread_create.c:304
#4  0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f7e3e232700 (LWP 25986)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e4a98f793 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#3  0x00007f7e6d363efc in start_thread (arg=0x7f7e3e232700) at pthread_create.c:304
#4  0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f7e3b5e8700 (LWP 25988)):
#0  timerSourceCheckHelper (src=0x274a500) at kernel/qeventdispatcher_glib.cpp:145
#1  0x00007f7e6b8be734 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7e6b8bef82 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7e6b8bf429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7e714cff3e in QEventDispatcherGlib::processEvents (this=0x1e09130, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f7e714a3cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f7e714a3ef7 in QEventLoop::exec (this=0x7f7e3b5e7cd0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f7e713bb27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#8  0x00007f7e71486cbf in QInotifyFileSystemWatcherEngine::run (this=0x2719ce0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x2719ce0) at thread/qthread_unix.cpp:331
#10 0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0x00007f7e6d363efc in start_thread (arg=0x7f7e3b5e8700) at pthread_create.c:304
#12 0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f7e395ad700 (LWP 25989)):
#0  0x00007f7e70b51773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f7e6b8bef68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7e6b8bf429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7e714cff3e in QEventDispatcherGlib::processEvents (this=0x2759760, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f7e714a3cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f7e714a3ef7 in QEventLoop::exec (this=0x7f7e395acd00, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f7e713bb27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x2787c80) at thread/qthread_unix.cpp:331
#8  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f7e6d363efc in start_thread (arg=0x7f7e395ad700) at pthread_create.c:304
#10 0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f7e37b2a700 (LWP 25991)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e713be1ab in wait (time=18446744073709551615, this=0x2954c00) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2954e20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7e6e8f4864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2954a60, th=0x2955310) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7e6e8f6e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2954f40, th=0x2955310) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7e6e8f5ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7f7e37b29d20, parent=0x2954a60, th=0x2955310) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f7e6e8f5d5b in ThreadWeaver::Thread::run (this=0x2955310) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x2955310) at thread/qthread_unix.cpp:331
#8  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f7e6d363efc in start_thread (arg=0x7f7e37b2a700) at pthread_create.c:304
#10 0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f7e331fa700 (LWP 26002)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e713be1ab in wait (time=18446744073709551615, this=0x2954c00) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2954e20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7e6e8f4864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2954a60, th=0x2c71c80) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7e6e8f6e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2954f40, th=0x2c71c80) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7e6e8f5ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7f7e331f9d20, parent=0x2954a60, th=0x2c71c80) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f7e6e8f5d5b in ThreadWeaver::Thread::run (this=0x2c71c80) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x2c71c80) at thread/qthread_unix.cpp:331
#8  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f7e6d363efc in start_thread (arg=0x7f7e331fa700) at pthread_create.c:304
#10 0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f7e3273e700 (LWP 26003)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e713be1ab in wait (time=18446744073709551615, this=0x2954c00) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2954e20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7e6e8f4864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2954a60, th=0x2d83540) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7e6e8f6e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2954f40, th=0x2d83540) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7e6e8f5ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7f7e3273dd20, parent=0x2954a60, th=0x2d83540) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f7e6e8f5d5b in ThreadWeaver::Thread::run (this=0x2d83540) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x2d83540) at thread/qthread_unix.cpp:331
#8  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f7e6d363efc in start_thread (arg=0x7f7e3273e700) at pthread_create.c:304
#10 0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f7e31f3d700 (LWP 26004)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e713be1ab in wait (time=18446744073709551615, this=0x2954c00) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2954e20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7e6e8f4864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2954a60, th=0x7f7e501dd2a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7e6e8f6e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2954f40, th=0x7f7e501dd2a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7e6e8f5ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7f7e31f3cd20, parent=0x2954a60, th=0x7f7e501dd2a0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f7e6e8f5d5b in ThreadWeaver::Thread::run (this=0x7f7e501dd2a0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x7f7e501dd2a0) at thread/qthread_unix.cpp:331
#8  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f7e6d363efc in start_thread (arg=0x7f7e31f3d700) at pthread_create.c:304
#10 0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f7e310fc700 (LWP 26005)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e68319c2c in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f7e68319d59 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007f7e6d363efc in start_thread (arg=0x7f7e310fc700) at pthread_create.c:304
#5  0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f7e2ad47700 (LWP 26009)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e6d93ffe2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f7e6d940019 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007f7e6d363efc in start_thread (arg=0x7f7e2ad47700) at pthread_create.c:304
#5  0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f7e38735700 (LWP 28650)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e713be1ab in wait (time=18446744073709551615, this=0x3edc0f0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x3edbc38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7e723947d4 in QFileInfoGatherer::run (this=0x3edbc28) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x3edbc28) at thread/qthread_unix.cpp:331
#5  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007f7e6d363efc in start_thread (arg=0x7f7e38735700) at pthread_create.c:304
#7  0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f7e562b1700 (LWP 28651)):
#0  __pthread_mutex_lock (mutex=0x3f4f8b8) at pthread_mutex_lock.c:54
#1  0x00007f7e6b8be75f in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7e6b8bef82 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7e6b8bf429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7e714cff3e in QEventDispatcherGlib::processEvents (this=0x3e965c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f7e714a3cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f7e714a3ef7 in QEventLoop::exec (this=0x7f7e562b0cd0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f7e713bb27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#8  0x00007f7e71486cbf in QInotifyFileSystemWatcherEngine::run (this=0x3eda4c0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x3eda4c0) at thread/qthread_unix.cpp:331
#10 0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0x00007f7e6d363efc in start_thread (arg=0x7f7e562b1700) at pthread_create.c:304
#12 0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f7e20bd6700 (LWP 29804)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e713be1ab in wait (time=18446744073709551615, this=0x38c98d0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x3ffa8e8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7e723947d4 in QFileInfoGatherer::run (this=0x3ffa8d8) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x3ffa8d8) at thread/qthread_unix.cpp:331
#5  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007f7e6d363efc in start_thread (arg=0x7f7e20bd6700) at pthread_create.c:304
#7  0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f7e1bfff700 (LWP 29805)):
#0  0x00007f7e70b51773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f7e6b8bef68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7e6b8bf429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7e714cff3e in QEventDispatcherGlib::processEvents (this=0x3e5c1e0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f7e714a3cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f7e714a3ef7 in QEventLoop::exec (this=0x7f7e1bffecd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f7e713bb27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007f7e71486cbf in QInotifyFileSystemWatcherEngine::run (this=0x38e1990) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x38e1990) at thread/qthread_unix.cpp:331
#9  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007f7e6d363efc in start_thread (arg=0x7f7e1bfff700) at pthread_create.c:304
#11 0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f7e1b7fe700 (LWP 29807)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7e713be1ab in wait (time=18446744073709551615, this=0x4013100) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x39e6c48, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7e723947d4 in QFileInfoGatherer::run (this=0x39e6c38) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x39e6c38) at thread/qthread_unix.cpp:331
#5  0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007f7e6d363efc in start_thread (arg=0x7f7e1b7fe700) at pthread_create.c:304
#7  0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f7e1affd700 (LWP 29808)):
#0  __pthread_mutex_lock (mutex=0x7f7e1c7c58d8) at pthread_mutex_lock.c:47
#1  0x00007f7e6b8be75f in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7e6b8bef82 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7e6b8bf429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7e714cff3e in QEventDispatcherGlib::processEvents (this=0x3ac4560, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f7e714a3cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f7e714a3ef7 in QEventLoop::exec (this=0x7f7e1affccd0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f7e713bb27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#8  0x00007f7e71486cbf in QInotifyFileSystemWatcherEngine::run (this=0x401a590) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f7e713bdd05 in QThreadPrivate::start (arg=0x401a590) at thread/qthread_unix.cpp:331
#10 0x00007f7e62a7e56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0x00007f7e6d363efc in start_thread (arg=0x7f7e1affd700) at pthread_create.c:304
#12 0x00007f7e70b5d89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f7e741fe7c0 (LWP 25968)):
[KCrash Handler]
#6  0x00007f7e72fc023f in Meta::MediaDeviceTrack::prettyUrl (this=0x7f7e1c06e540) at ../../src/core-impl/collections/mediadevicecollection/MediaDeviceMeta.cpp:154
#7  0x00007f7e73797dee in Meta::Track::prettyName (this=0x7f7e1c06e540) at ../../../src/core/meta/Meta.cpp:238
#8  0x00007f7e7331bbfe in metadata (track=<optimized out>) at ../../src/toolbar/MainToolbar.cpp:427
#9  0x00007f7e733228ca in MainToolbar::trackChanged (this=0x2ab2c10, track=...) at ../../src/toolbar/MainToolbar.cpp:603
#10 0x00007f7e73322fe6 in MainToolbar::showEvent (this=0x2ab2c10, ev=0x7fff987bbb00) at ../../src/toolbar/MainToolbar.cpp:760
#11 0x00007f7e71ef5f45 in QWidget::event (this=0x2ab2c10, event=0x7fff987bbb00) at kernel/qwidget.cpp:8502
#12 0x00007f7e7231480b in QToolBar::event (this=0x2ab2c10, event=0x7fff987bbb00) at widgets/qtoolbar.cpp:1250
#13 0x00007f7e71ea5424 in notify_helper (e=0x7fff987bbb00, receiver=0x2ab2c10, this=0x1dbff90) at kernel/qapplication.cpp:4486
#14 QApplicationPrivate::notify_helper (this=0x1dbff90, receiver=0x2ab2c10, e=0x7fff987bbb00) at kernel/qapplication.cpp:4458
#15 0x00007f7e71eaa291 in QApplication::notify (this=0x7fff987bc450, receiver=0x2ab2c10, e=0x7fff987bbb00) at kernel/qapplication.cpp:4365
#16 0x00007f7e73c061e6 in KApplication::notify (this=0x7fff987bc450, receiver=0x2ab2c10, event=0x7fff987bbb00) at ../../kdeui/kernel/kapplication.cpp:311
#17 0x00007f7e714a4afc in QCoreApplication::notifyInternal (this=0x7fff987bc450, receiver=0x2ab2c10, event=0x7fff987bbb00) at kernel/qcoreapplication.cpp:787
#18 0x00007f7e71ef95f7 in sendSpontaneousEvent (event=0x7fff987bbb00, receiver=0x2ab2c10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#19 QWidgetPrivate::showChildren (this=<optimized out>, spontaneous=true) at kernel/qwidget.cpp:7780
#20 0x00007f7e71f25203 in QApplication::x11ProcessEvent (this=0x7fff987bc450, event=0x7fff987bc010) at kernel/qapplication_x11.cpp:3810
#21 0x00007f7e71f4d412 in x11EventSourceDispatch (s=0x1dce000, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#22 0x00007f7e6b8bea5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007f7e6b8bf258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#24 0x00007f7e6b8bf429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#25 0x00007f7e714cfed6 in QEventDispatcherGlib::processEvents (this=0x1dcf300, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#26 0x00007f7e71f4d07e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#27 0x00007f7e714a3cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#28 0x00007f7e714a3ef7 in QEventLoop::exec (this=0x7fff987bc3e0, flags=...) at kernel/qeventloop.cpp:201
#29 0x00007f7e714a8789 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#30 0x000000000040916e in main (argc=1, argv=0x7fff987bea58) at ../../src/main.cpp:289

Reported using DrKonqi
Comment 1 Matěj Laitl 2011-10-26 09:44:24 UTC
Mathias, did it happen just once, or are you able to reproduce the crash?
Comment 2 Matěj Laitl 2011-10-28 15:21:42 UTC
Git commit b39551b9791203b952b30108cbdaea28e4871494 by Matěj Laitl.
Committed on 28/10/2011 at 17:09.
Pushed by laitl into branch 'master'.

MediaDeviceTrack: prevent possible crashes, Handler::Capability fixes

When a media device is removed, its collection and handler are
destroyed, but its tracks, albums are kept as long as they are
referenced. Tracks, albums use QWeakPointer to track deletion of
their handler. Ensure that this pointer is always checked before
use in MediaDeviceTrack.

Also ensure that related Capabilities get destroyed (they should
be alredy tracked using QWeakPointer) when handler gets deleted.
It did not work previously in cases when Capabilities were created
in a thread from handler's. Move them to handler's thread so that
parentship can be established.

BUG: 284838
FIXED-IN: 2.5

M  +1    -0    ChangeLog
M  +26   -18   src/core-impl/collections/mediadevicecollection/MediaDeviceMeta.cpp
M  +10   -0    src/core-impl/collections/mediadevicecollection/handler/MediaDeviceHandlerCapability.cpp
M  +3    -4    src/core-impl/collections/mediadevicecollection/handler/MediaDeviceHandlerCapability.h

http://commits.kde.org/amarok/b39551b9791203b952b30108cbdaea28e4871494